@use '@experiments-labs/rise_ui/src/stylesheets/core';

.gpa-garden {
  position: relative;

  &__view {
    display: flex;
    height: var(--garden-map-height);
    align-items: stretch;

    &__map {
      flex-grow: 1;
      background-image: var(--background-checked);
    }

    &__layers {
      display: none;

      @include core.respond-to('medium-up') {
        display: block;
        width: var(--panel-width);
      }

      &.gpa-garden__view__layers--visible {
        display: block;
      }
    }
  }
}
